function [output] = brownian_motion_simul(N,L,rho,eta2,Boot)
G       = length(rho);
rho     = rho/sum(rho);
rho     = rho(:);


mu      = -diag(rho)*diag(eta2)*ones(G,1);
sigma   = 2*diag(rho)^(1/2)*diag(eta2);


T       = round(N*L);
dt      = 1/N;

obj     = bm(mu,sigma);    
[Path1, Time1, Z1] = simulate(obj,T,'DeltaTime' , dt,'nTrials', Boot);
[Path2, Time2, Z2] = simulate(obj,T,'DeltaTime' , dt,'nTrials', Boot);
   
   
   
PathSum1    = sum(Path1,2);        
MaxofSum1   = max(PathSum1,[],1);
PathSum2    = sum(Path2,2);        
MaxofSum2   = max(PathSum2,[],1);  
MaxofSum    = [squeeze(MaxofSum1(1,1,:)),squeeze(MaxofSum2(1,1,:))];
MaxofSum    = max(MaxofSum,[],2);    
   
   
maxpart(1,:,:)  = squeeze(max(Path1,[],1));
maxpart(2,:,:)  = squeeze(max(Path2,[],1));  
Maxg            = max( maxpart,[],1);
SumofMax        = sum(Maxg);
SumofMax        = squeeze(SumofMax(1,1,:));
output          = SumofMax-MaxofSum;
  
clear maxpart Maxg MaxofSum Path1 Path2 Time1 Time2 Z1 Z2
   
end
